package assignment1;

public class ExceptionsDemo {
	
	private int[] numbers = new int[100];
	
	public void printFirst() {
		System.out.println( numbers[0]);
	}
	
	public void print101stElement() {
		System.out.println( numbers[100] );
	}
	
	public int stringLength(String s) {
		if ( s == null )
			throw new NullPointerException("input parameter is null");
		return s.length();
	}
	
	public void printHeightGroup(int height) {
		if ( height < 120 || height > 250 )
			throw new RuntimeException("height is out of bounds");
		
	}
	
	public void printAgeCategory(int age) throws Exception {
		if ( age < 0 || age > 125 )
			throw new Exception("age is out of bounds");
		
		if ( age < 30 ) System.out.println("A young person");
		else if ( age < 56 ) System.out.println("A middle-age person");
		else System.out.println("An elderly person");
	}

}



