package assignment1;

public class ExceptionsDemo {
	
	private int[] numbers = new int[50];
	
	public void printFirst() {
		System.out.println( numbers[0]);
	}
	
	public void print51stElement() {
		System.out.println( numbers[50]);
	}
	
	public int stringLength(String s) {
		if ( s == null )
			throw new NullPointerException("input parameter is null");
		return s.length();
	}
	
	public void printAgeCategory(int age) throws Exception {
		if ( age < 0 || age > 125 )
			throw new Exception("age out of bounds");
		
		if ( age < 30 ) System.out.println("A young person");
		else if (age < 56) System.out.println("A middle-age person"); 
		else System.out.println("An elderly person");
	}

}






